# Class IF_ICMPEQ

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.BranchInstruction
org.apache.bcel.generic.IfInstruction
org.apache.bcel.generic.IF_ICMPEQ

All Implemented Interfaces:
  `Cloneable, InstructionTargeter, StackConsumer`

public class IF_ICMPEQ extends IfInstruction
IF_ICMPEQ - Branch if int comparison succeeds

    Stack: ..., value1, value2 -> ...

- ## Field Summary

  ### Fields inherited from class BranchInstruction

  `index, position, target`

  ### Fields inherited from class Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IF_ICMPEQ(InstructionHandle target)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `IfInstruction`
  `negate()`

  ### Methods inherited from class BranchInstruction

  `containsTarget, dump, getIndex, getPosition, getTarget, getTargetOffset, getTargetOffset, initFromFile, setIndex, setPosition, setTarget, toString, updatePosition, updateTarget`

  ### Methods inherited from class Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface StackConsumer

  `consumeStack`

- ## Constructor Details

  - ### IF_ICMPEQ

    public IF_ICMPEQ(InstructionHandle target)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### negate

    public IfInstruction negate()
    Specified by:
      `negate` in class `IfInstruction`
    Returns:
      negation of instruction